Draft Array/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Array|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto-> Matriz}}
{{GuiCommand|Name=Draft Array|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Array|SeeAlso=[[Draft PathArray|PathArray]]}}


==Descripción==
==Descripción==
Line 36: Line 36:
* {{PropertyData|Number Polar}}: El número de copias
* {{PropertyData|Number Polar}}: El número de copias


==Scripting==
==Archivos de guión==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.


=== Simple array ===
La herramienta Matriz se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
For rectangular array:

{{Code|code=
Para matrices ortogonales:
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
<syntaxhighlight>
}}
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
</syntaxhighlight>
Para matrices polares:
Para matrices polares:
{{Code|code=
<syntaxhighlight>
array (objectslist,center,totalangle,totalnum)
array (objectslist,center,totalangle,totalnum)
}}
</syntaxhighlight>
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)
* This function produces standalone copies of the base object(s)
Line 54: Line 54:


Para matrices ortogonales:
Para matrices ortogonales:
{{Code|code=
<syntaxhighlight>
makeArray (object,xvector,yvector,xnum,ynum)
makeArray (object,xvector,yvector,xnum,ynum)
}}
</syntaxhighlight>
Para matrices polares:
Para matrices polares:
{{Code|code=
<syntaxhighlight>
makeArray (object,center,totalangle,totalnum)
makeArray (object,center,totalangle,totalnum)
}}
</syntaxhighlight>
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.
* The result of this function is a parametric Draft Array object.


Ejemplo:
Ejemplo:
{{Code|code=
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)


}}
</syntaxhighlight>
{{clear}}
{{clear}}
<languages/>
<languages/>

Revision as of 21:28, 1 January 2015

Draft Array

Menu location
Draft -> Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray

Descripción

La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.

Utilizaación

  1. Selecciona un objeto a partir del que desees crear una matriz
  2. Presiona el botón Matriz

Opciones

  • La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.

Propiedades

  • DatosArray Type: Especifica el tipo de matriz orto o polar

Para matrices ortogonales:

  • DatosInterval X: El intervalo entre cada copia sobre el primer eje
  • DatosInterval Y: El intervalo entre cada copia sobre el segundo eje
  • DatosInterval Z: El intervalo entre cada copia sobre el tercer eje
  • DatosNumber X: El número de copias sobre el primer eje
  • DatosNumber Y: El número de copias sobre el segundo eje
  • DatosNumber Z: El número de copias sobre el tercer eje

Para matrices polares:

  • DatosAxis: La dirección normal a la circunferencia de la matriz
  • DatosCenter: El punto centro de la matriz
  • DatosAngle: El ángulo a cubrir con las copias
  • DatosNumber Polar: El número de copias

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

Para matrices polares:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

Para matrices ortogonales:

makeArray (object,xvector,yvector,xnum,ynum)

Para matrices polares:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Ejemplo:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)